# BEGIN SourceDeps(oneline):
BuildRequires: perl(B/Deparse.pm) perl(CPAN.pm) perl(Class/Data/Inheritable.pm) perl(Class/Trigger.pm) perl(Config.pm) perl(Cwd.pm) perl(DBD/mysql.pm) perl(DBI.pm) perl(Encode.pm) perl(Exporter.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(HTML/FillInForm.pm) perl(HTTP/Message/PSGI.pm) perl(HTTP/Request.pm) perl(HTTP/Response.pm) perl(HTTP/Session.pm) perl(HTTP/Session/State/Cookie.pm) perl(HTTP/Session/Store/OnMemory.pm) perl(HTTP/Status.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Log/Dispatch.pm) perl(Module/Build.pm) perl(Module/Setup.pm) perl(Module/Setup/Flavor.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Path/Class.pm) perl(Plack.pm) perl(Plack/Request.pm) perl(Plack/Response.pm) perl(Plack/Test.pm) perl(Plack/Util.pm) perl(Plack/Util/Accessor.pm) perl(Router/Simple.pm) perl(Router/Simple/Declare.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(String/CamelCase.pm) perl(String/Random.pm) perl(Template.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Text/MicroTemplate/Extended.pm) perl(Text/Xslate.pm) perl(Text/Xslate/Bridge/TT2Like.pm) perl(Try/Tiny.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_version 0.10
%define module_name Pickles
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.10
Release: alt1
Summary: simple web application framework
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DM/DMAKI/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Pickles is a simple web application framework, which is based upon the Plack manpage.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README docs
%perl_vendor_privlib/P*

%files scripts
%_bindir/*

%changelog
* Thu Oct 17 2013 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1
- initial import by package builder

